<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: CAContinuousFill Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d1/d24/class_c_a_continuous_fill.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">CAContinuousFill Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for CAContinuousFill:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d1/d24/class_c_a_continuous_fill.png" usemap="#CAContinuousFill_map" alt=""/>
  <map id="CAContinuousFill_map" name="CAContinuousFill_map">
<area href="../../dc/d0b/class_c_a_continuous_base.html" alt="CAContinuousBase" shape="rect" coords="0,0,203,24"/>
<area href="../../d2/d84/class_c_a_continuous_fill_power_generator.html" alt="CAContinuousFillPowerGenerator" shape="rect" coords="0,112,203,136"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:aa2455a1a31a64222c770dcf4d51fc517"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d24/class_c_a_continuous_fill.html#aa2455a1a31a64222c770dcf4d51fc517">CAContinuousFill</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> quantity_filled_per_second, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> liquid_type)</td></tr>
<tr class="separator:aa2455a1a31a64222c770dcf4d51fc517"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3267dc54ccebef7086d976bb034a22f0"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d24/class_c_a_continuous_fill.html#a3267dc54ccebef7086d976bb034a22f0">Setup</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a3267dc54ccebef7086d976bb034a22f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30670fa48ef1d25a007dc9e89e5e4344"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d24/class_c_a_continuous_fill.html#a30670fa48ef1d25a007dc9e89e5e4344">Execute</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a30670fa48ef1d25a007dc9e89e5e4344"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2385842e1b75865708d5d002a8518d62"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d24/class_c_a_continuous_fill.html#a2385842e1b75865708d5d002a8518d62">Cancel</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a2385842e1b75865708d5d002a8518d62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a079c07d8d466dbc29a69d0babc44b309"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d24/class_c_a_continuous_fill.html#a079c07d8d466dbc29a69d0babc44b309">Interrupt</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a079c07d8d466dbc29a69d0babc44b309"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6503e2b8ba221889ed7d47eb10026182"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d24/class_c_a_continuous_fill.html#a6503e2b8ba221889ed7d47eb10026182">GetProgress</a> ()</td></tr>
<tr class="separator:a6503e2b8ba221889ed7d47eb10026182"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65c7420d90e41615637261fc6993571f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d24/class_c_a_continuous_fill.html#a65c7420d90e41615637261fc6993571f">CalcAndSetQuantity</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a65c7420d90e41615637261fc6993571f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a2c556206777f9a684b35770e56439dbf"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d24/class_c_a_continuous_fill.html#a2c556206777f9a684b35770e56439dbf">m_TargetUnits</a></td></tr>
<tr class="separator:a2c556206777f9a684b35770e56439dbf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1ff670053ba2bc0aed293826e40b129"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d24/class_c_a_continuous_fill.html#ad1ff670053ba2bc0aed293826e40b129">m_SpentQuantity</a></td></tr>
<tr class="separator:ad1ff670053ba2bc0aed293826e40b129"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aedb7ef900e0683663b4f1f82b7042273"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d24/class_c_a_continuous_fill.html#aedb7ef900e0683663b4f1f82b7042273">m_SpentQuantity_total</a></td></tr>
<tr class="separator:aedb7ef900e0683663b4f1f82b7042273"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa1609474178c6ebb24ad21f8549c14e5"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d24/class_c_a_continuous_fill.html#aa1609474178c6ebb24ad21f8549c14e5">m_ItemQuantity</a></td></tr>
<tr class="separator:aa1609474178c6ebb24ad21f8549c14e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1eeaa19d92232bc38282b952eb0f5b36"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d24/class_c_a_continuous_fill.html#a1eeaa19d92232bc38282b952eb0f5b36">m_AdjustedQuantityFilledPerSecond</a></td></tr>
<tr class="separator:a1eeaa19d92232bc38282b952eb0f5b36"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41afdc4cb9aed0b124759f7c55c20144"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d24/class_c_a_continuous_fill.html#a41afdc4cb9aed0b124759f7c55c20144">m_QuantityFilledPerSecond</a></td></tr>
<tr class="separator:a41afdc4cb9aed0b124759f7c55c20144"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1748f549ee991845392962a1abc1b64d"><td class="memItemLeft" align="right" valign="top">protected ref Param1&lt; <a class="el" href="../../d4/dc3/classfloat.html">float</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d24/class_c_a_continuous_fill.html#a1748f549ee991845392962a1abc1b64d">m_SpentUnits</a></td></tr>
<tr class="separator:a1748f549ee991845392962a1abc1b64d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a529e8ae609f59cdf9b7d22316fe1b6e4"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d24/class_c_a_continuous_fill.html#a529e8ae609f59cdf9b7d22316fe1b6e4">m_TimeElpased</a></td></tr>
<tr class="separator:a529e8ae609f59cdf9b7d22316fe1b6e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4174ec639b0e4bd85d1edf4f2db8fe76"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d24/class_c_a_continuous_fill.html#a4174ec639b0e4bd85d1edf4f2db8fe76">m_DefaultTimeStep</a> = 0.25</td></tr>
<tr class="separator:a4174ec639b0e4bd85d1edf4f2db8fe76"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a745552d19914e0999ff9ffb7d704d7ed"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d24/class_c_a_continuous_fill.html#a745552d19914e0999ff9ffb7d704d7ed">m_liquid_type</a></td></tr>
<tr class="separator:a745552d19914e0999ff9ffb7d704d7ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d7/d81/_c_a_continuous_fill_8c_source.html#l00001">1</a> of file <a class="el" href="../../d7/d81/_c_a_continuous_fill_8c_source.html">CAContinuousFill.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="aa2455a1a31a64222c770dcf4d51fc517" name="aa2455a1a31a64222c770dcf4d51fc517"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa2455a1a31a64222c770dcf4d51fc517">&#9670;&#160;</a></span>CAContinuousFill()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void CAContinuousFill::CAContinuousFill </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>quantity_filled_per_second</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>liquid_type</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d81/_c_a_continuous_fill_8c_source.html#l00014">14</a> of file <a class="el" href="../../d7/d81/_c_a_continuous_fill_8c_source.html">CAContinuousFill.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a65c7420d90e41615637261fc6993571f" name="a65c7420d90e41615637261fc6993571f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a65c7420d90e41615637261fc6993571f">&#9670;&#160;</a></span>CalcAndSetQuantity()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void CAContinuousFill::CalcAndSetQuantity </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d81/_c_a_continuous_fill_8c_source.html#l00108">108</a> of file <a class="el" href="../../d7/d81/_c_a_continuous_fill_8c_source.html">CAContinuousFill.c</a>.</p>

</div>
</div>
<a id="a2385842e1b75865708d5d002a8518d62" name="a2385842e1b75865708d5d002a8518d62"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2385842e1b75865708d5d002a8518d62">&#9670;&#160;</a></span>Cancel()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> CAContinuousFill::Cancel </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d81/_c_a_continuous_fill_8c_source.html#l00081">81</a> of file <a class="el" href="../../d7/d81/_c_a_continuous_fill_8c_source.html">CAContinuousFill.c</a>.</p>

</div>
</div>
<a id="a30670fa48ef1d25a007dc9e89e5e4344" name="a30670fa48ef1d25a007dc9e89e5e4344"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a30670fa48ef1d25a007dc9e89e5e4344">&#9670;&#160;</a></span>Execute()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> CAContinuousFill::Execute </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d81/_c_a_continuous_fill_8c_source.html#l00046">46</a> of file <a class="el" href="../../d7/d81/_c_a_continuous_fill_8c_source.html">CAContinuousFill.c</a>.</p>

</div>
</div>
<a id="a6503e2b8ba221889ed7d47eb10026182" name="a6503e2b8ba221889ed7d47eb10026182"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6503e2b8ba221889ed7d47eb10026182">&#9670;&#160;</a></span>GetProgress()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d4/dc3/classfloat.html">float</a> CAContinuousFill::GetProgress </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d81/_c_a_continuous_fill_8c_source.html#l00102">102</a> of file <a class="el" href="../../d7/d81/_c_a_continuous_fill_8c_source.html">CAContinuousFill.c</a>.</p>

</div>
</div>
<a id="a079c07d8d466dbc29a69d0babc44b309" name="a079c07d8d466dbc29a69d0babc44b309"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a079c07d8d466dbc29a69d0babc44b309">&#9670;&#160;</a></span>Interrupt()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> CAContinuousFill::Interrupt </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d81/_c_a_continuous_fill_8c_source.html#l00092">92</a> of file <a class="el" href="../../d7/d81/_c_a_continuous_fill_8c_source.html">CAContinuousFill.c</a>.</p>

</div>
</div>
<a id="a3267dc54ccebef7086d976bb034a22f0" name="a3267dc54ccebef7086d976bb034a22f0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3267dc54ccebef7086d976bb034a22f0">&#9670;&#160;</a></span>Setup()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void CAContinuousFill::Setup </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d81/_c_a_continuous_fill_8c_source.html#l00020">20</a> of file <a class="el" href="../../d7/d81/_c_a_continuous_fill_8c_source.html">CAContinuousFill.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a1eeaa19d92232bc38282b952eb0f5b36" name="a1eeaa19d92232bc38282b952eb0f5b36"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1eeaa19d92232bc38282b952eb0f5b36">&#9670;&#160;</a></span>m_AdjustedQuantityFilledPerSecond</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> CAContinuousFill::m_AdjustedQuantityFilledPerSecond</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d81/_c_a_continuous_fill_8c_source.html#l00007">7</a> of file <a class="el" href="../../d7/d81/_c_a_continuous_fill_8c_source.html">CAContinuousFill.c</a>.</p>

</div>
</div>
<a id="a4174ec639b0e4bd85d1edf4f2db8fe76" name="a4174ec639b0e4bd85d1edf4f2db8fe76"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4174ec639b0e4bd85d1edf4f2db8fe76">&#9670;&#160;</a></span>m_DefaultTimeStep</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> CAContinuousFill::m_DefaultTimeStep = 0.25</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d81/_c_a_continuous_fill_8c_source.html#l00011">11</a> of file <a class="el" href="../../d7/d81/_c_a_continuous_fill_8c_source.html">CAContinuousFill.c</a>.</p>

</div>
</div>
<a id="aa1609474178c6ebb24ad21f8549c14e5" name="aa1609474178c6ebb24ad21f8549c14e5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa1609474178c6ebb24ad21f8549c14e5">&#9670;&#160;</a></span>m_ItemQuantity</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> CAContinuousFill::m_ItemQuantity</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d81/_c_a_continuous_fill_8c_source.html#l00006">6</a> of file <a class="el" href="../../d7/d81/_c_a_continuous_fill_8c_source.html">CAContinuousFill.c</a>.</p>

</div>
</div>
<a id="a745552d19914e0999ff9ffb7d704d7ed" name="a745552d19914e0999ff9ffb7d704d7ed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a745552d19914e0999ff9ffb7d704d7ed">&#9670;&#160;</a></span>m_liquid_type</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> CAContinuousFill::m_liquid_type</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d81/_c_a_continuous_fill_8c_source.html#l00012">12</a> of file <a class="el" href="../../d7/d81/_c_a_continuous_fill_8c_source.html">CAContinuousFill.c</a>.</p>

</div>
</div>
<a id="a41afdc4cb9aed0b124759f7c55c20144" name="a41afdc4cb9aed0b124759f7c55c20144"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a41afdc4cb9aed0b124759f7c55c20144">&#9670;&#160;</a></span>m_QuantityFilledPerSecond</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> CAContinuousFill::m_QuantityFilledPerSecond</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d81/_c_a_continuous_fill_8c_source.html#l00008">8</a> of file <a class="el" href="../../d7/d81/_c_a_continuous_fill_8c_source.html">CAContinuousFill.c</a>.</p>

</div>
</div>
<a id="ad1ff670053ba2bc0aed293826e40b129" name="ad1ff670053ba2bc0aed293826e40b129"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad1ff670053ba2bc0aed293826e40b129">&#9670;&#160;</a></span>m_SpentQuantity</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> CAContinuousFill::m_SpentQuantity</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d81/_c_a_continuous_fill_8c_source.html#l00004">4</a> of file <a class="el" href="../../d7/d81/_c_a_continuous_fill_8c_source.html">CAContinuousFill.c</a>.</p>

</div>
</div>
<a id="aedb7ef900e0683663b4f1f82b7042273" name="aedb7ef900e0683663b4f1f82b7042273"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aedb7ef900e0683663b4f1f82b7042273">&#9670;&#160;</a></span>m_SpentQuantity_total</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> CAContinuousFill::m_SpentQuantity_total</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d81/_c_a_continuous_fill_8c_source.html#l00005">5</a> of file <a class="el" href="../../d7/d81/_c_a_continuous_fill_8c_source.html">CAContinuousFill.c</a>.</p>

</div>
</div>
<a id="a1748f549ee991845392962a1abc1b64d" name="a1748f549ee991845392962a1abc1b64d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1748f549ee991845392962a1abc1b64d">&#9670;&#160;</a></span>m_SpentUnits</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ref Param1&lt;<a class="el" href="../../d4/dc3/classfloat.html">float</a>&gt; CAContinuousFill::m_SpentUnits</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d81/_c_a_continuous_fill_8c_source.html#l00009">9</a> of file <a class="el" href="../../d7/d81/_c_a_continuous_fill_8c_source.html">CAContinuousFill.c</a>.</p>

</div>
</div>
<a id="a2c556206777f9a684b35770e56439dbf" name="a2c556206777f9a684b35770e56439dbf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2c556206777f9a684b35770e56439dbf">&#9670;&#160;</a></span>m_TargetUnits</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> CAContinuousFill::m_TargetUnits</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d81/_c_a_continuous_fill_8c_source.html#l00003">3</a> of file <a class="el" href="../../d7/d81/_c_a_continuous_fill_8c_source.html">CAContinuousFill.c</a>.</p>

</div>
</div>
<a id="a529e8ae609f59cdf9b7d22316fe1b6e4" name="a529e8ae609f59cdf9b7d22316fe1b6e4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a529e8ae609f59cdf9b7d22316fe1b6e4">&#9670;&#160;</a></span>m_TimeElpased</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> CAContinuousFill::m_TimeElpased</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d81/_c_a_continuous_fill_8c_source.html#l00010">10</a> of file <a class="el" href="../../d7/d81/_c_a_continuous_fill_8c_source.html">CAContinuousFill.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/UserActionsComponent/ActionComponents/<a class="el" href="../../d7/d81/_c_a_continuous_fill_8c_source.html">CAContinuousFill.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d1/d24/class_c_a_continuous_fill.html">CAContinuousFill</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
